/* ***** BEGIN LICENSE BLOCK *****
 * Licensed under Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * Full Terms at http://mozile.mozdev.org/license.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Playsophy code.
 *
 * The Initial Developer of the Original Code is Playsophy
 * Portions created by the Initial Developer are Copyright (C) 2002-2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *		James A. Overton <james@overton.ca>
 *      Andreas Schamberger <mozile@andreass.net>
 *		Paul Everitt
 *
 * ***** END LICENSE BLOCK ***** */

function init(event)
{
    if (event.target != document)
        return;
        
    mozileSetVersionById('version');
    
    refresh (event);
        
    var button = document.documentElement.getButton("extra2");
    button.setAttribute("label", document.documentElement.getAttribute("refreshlabel"));
    button.addEventListener("command", refresh, true);
}

function refresh(event) 
{
    var mozileTarget = opener.mozileGetCurrentTarget();
	//var mozileTarget = window;

	if(mozileTarget=="") {
		document.getElementById("mozileLocation").value = "";
		document.getElementById("mozileConfigurationFile").value = "";
		document.getElementById("mozileSaveMethod").value =	"";
		document.getElementById("mozileContent").value = "";
		document.getElementById("mozileMES").value = "";
		document.getElementById("mozileTagView").value = "";
		return;
	}

	document.getElementById("mozileLocation").value =	mozileTarget.document.location;

	try {
		document.getElementById("mozileConfigurationFile").value =	mozileTarget.document.MOZILE_RSD_CONFIG["rsdhref"];
	} catch(e) {
		document.getElementById("mozileConfigurationFile").value = "None";
	}

	try {
		document.getElementById("mozileContent").value = mozileTarget.document.MOZILE_RSD_CONFIG["saveContent"];
	} catch(e) {
		document.getElementById("mozileContent").value = "Page";
	}

	try {
		document.getElementById("mozileSaveMethod").value =	mozileTarget.document.MOZILE_RSD_CONFIG["saveMethod"];
	} catch(e) {
		document.getElementById("mozileSaveMethod").value =	"Display";
	}

	try {
		document.getElementById("mozileHttpSavePath").value =	mozileTarget.document.MOZILE_RSD_CONFIG["httpSavePath"];
	} catch(e) {
		document.getElementById("mozileHttpSavePath").value = "";
	}

	try {
		document.getElementById("mozileMES").value =	mozileTarget.document.MOZILE_RSD_CONFIG["mes"];
	} catch(e) {
		document.getElementById("mozileMES").value = "XHTML";
		document.getElementById("mozileMES").setAttribute("class","");
	}

	try {
		document.getElementById("mozileTagView").value = mozileTarget.document.MOZILE_RSD_CONFIG["tagCSS"];
	} catch(e) {
		document.getElementById("mozileTagView").value = "XHTML";
		document.getElementById("mozileTagView").setAttribute("class","");
	}

}



